Create Payin

This endpoint initiates a Payin transaction, allowing you to collect payments from customers using various payment methods. You can specify details such as the payment method, amount, currency, and customer information. The response will include a transaction ID and status, which can be used to track the payment.

Body Params
paymentMethod
object
required

Payment method details.

string
required

A unique identifier generated by your system to track the transaction (alphanumeric and hyphens). We recommend using UUID4 to ensure uniqueness.

string
required

Country. ISO 3166-1 alpha-3.

string
enum
required

Currency codes. The currency of the amount can be the local currency (charged directly) or the account's currency (triggering a Foreign Exchange operation), with paymentMethod.code resolving ambiguity in bimonetary countries.

number
required

Transaction amount.

string
required

The LocalPayment account number where the specified amount will be credited.

string
required
string

Additional information to identify the transaction on your side.

merchant
object
required

Information about the merchant initiating the transaction.

payer
object
required

Information about the payer making the transaction.

intermediaries
array of objects

Additional information from other parties involved in the payment process.

intermediaries
metaData
object

Contains additional information about the transaction.

const
enum

Transaction type.

Allowed:
string

Client code.

string

Your client's username. For example, email or username on your platform.

commercialData
object
required

Contains commercial details about the transaction.

boolean

Indicates whether the transaction requires authentication.

boolean

Indicates whether the transaction involves a file upload.

string

Token provided by the Foreign Exchange service in order to use an upfront agreed exchange rate.

device
object

Contains information about the device used to initiate the transaction.

card
object
required

Required for credit and debit card payment methods.

redirectUrl
object

Define URLs for authentication scenarios using 3DS.

Headers
string
required

Bearer access token for authentication. This token is obtained from the Get Access Token or Refresh Access Token endpoints.

boolean

Send true to generate an authorization.

Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json